# Constant Field Values

## Contents

- com.destroystokyo.*
- org.bukkit.*

## com.destroystokyo.*

com.destroystokyo.paper.NamespacedTag
Modifier and Type
Constant Field
Value
`public static final String`
`BUKKIT`
`"bukkit"`
`public static final String`
`MINECRAFT`
`"minecraft"`
com.destroystokyo.paper.Title
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_FADE_IN`
`20`
`public static final int`
`DEFAULT_FADE_OUT`
`20`
`public static final int`
`DEFAULT_STAY`
`200`

## org.bukkit.*

org.bukkit.ChatColor
Modifier and Type
Constant Field
Value
`public static final char`
`COLOR_CHAR`
`'\u00a7'`
org.bukkit.Material
Modifier and Type
Constant Field
Value
`public static final String`
`LEGACY_PREFIX`
`"LEGACY_"`
org.bukkit.NamespacedKey
Modifier and Type
Constant Field
Value
`public static final String`
`BUKKIT`
`"bukkit"`
`public static final String`
`MINECRAFT`
`"minecraft"`
org.bukkit.Note.Tone
Modifier and Type
Constant Field
Value
`public static final byte`
`TONES_COUNT`
`0xc`
org.bukkit.Server
Modifier and Type
Constant Field
Value
`public static final String`
`BROADCAST_CHANNEL_ADMINISTRATIVE`
`"bukkit.broadcast.admin"`
`public static final String`
`BROADCAST_CHANNEL_USERS`
`"bukkit.broadcast.user"`
org.bukkit.Tag<T extends Keyed>
Modifier and Type
Constant Field
Value
`public static final String`
`REGISTRY_BLOCKS`
`"blocks"`
`public static final String`
`REGISTRY_ENTITIES`
`"entity_types"`
`public static final String`
`REGISTRY_ENTITY_TYPES`
`"entity_types"`
`public static final String`
`REGISTRY_FLUIDS`
`"fluids"`
`public static final String`
`REGISTRY_GAME_EVENTS`
`"game_events"`
`public static final String`
`REGISTRY_ITEMS`
`"items"`

org.bukkit.configuration.file.YamlConfiguration
Modifier and Type
Constant Field
Value
`protected static final String`
`BLANK_CONFIG`
`"{}\n"`
`protected static final String`
`COMMENT_PREFIX`
`"# "`

org.bukkit.configuration.serialization.ConfigurationSerialization
Modifier and Type
Constant Field
Value
`public static final String`
`SERIALIZED_TYPE_KEY`
`"=="`

org.bukkit.inventory.InventoryView
Modifier and Type
Constant Field
Value
`public static final int`
`OUTSIDE`
`-999`

org.bukkit.loot.LootContext
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_LOOT_MODIFIER`
`-1`

org.bukkit.map.MapPalette
Modifier and Type
Constant Field
Value
`public static final byte`
`BLUE`
`0x30`
`public static final byte`
`BROWN`
`0x28`
`public static final byte`
`DARK_BROWN`
`0x34`
`public static final byte`
`DARK_GRAY`
`0x2c`
`public static final byte`
`DARK_GREEN`
`0x1c`
`public static final byte`
`GRAY_1`
`0xc`
`public static final byte`
`GRAY_2`
`0x18`
`public static final byte`
`LIGHT_BROWN`
`0x8`
`public static final byte`
`LIGHT_GRAY`
`0x24`
`public static final byte`
`LIGHT_GREEN`
`0x4`
`public static final byte`
`PALE_BLUE`
`0x14`
`public static final byte`
`RED`
`0x10`
`public static final byte`
`TRANSPARENT`
`0x0`
`public static final byte`
`WHITE`
`0x20`

org.bukkit.material.Comparator
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEFAULT_STATE`
`false`
`protected static final boolean`
`DEFAULT_SUBTRACTION_MODE`
`false`
org.bukkit.material.Diode
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_DELAY`
`1`
`protected static final boolean`
`DEFAULT_STATE`
`false`
org.bukkit.material.Hopper
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEFAULT_ACTIVE`
`true`
org.bukkit.material.Leaves
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEFAULT_DECAYABLE`
`true`
org.bukkit.material.WoodenStep
Modifier and Type
Constant Field
Value
`protected static final boolean`
`DEFAULT_INVERTED`
`false`

org.bukkit.plugin.messaging.Messenger
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_MESSAGE_SIZE`
`32766`

org.bukkit.scoreboard.Criterias
Modifier and Type
Constant Field
Value
`public static final String`
`DEATHS`
`"deathCount"`
`public static final String`
`HEALTH`
`"health"`
`public static final String`
`PLAYER_KILLS`
`"playerKillCount"`
`public static final String`
`TOTAL_KILLS`
`"totalKillCount"`

org.bukkit.util.ChatPaginator
Modifier and Type
Constant Field
Value
`public static final int`
`AVERAGE_CHAT_PAGE_WIDTH`
`65`
`public static final int`
`CLOSED_CHAT_PAGE_HEIGHT`
`10`
`public static final int`
`GUARANTEED_NO_WRAP_CHAT_PAGE_WIDTH`
`55`
`public static final int`
`OPEN_CHAT_PAGE_HEIGHT`
`20`
`public static final int`
`UNBOUNDED_PAGE_HEIGHT`
`2147483647`
`public static final int`
`UNBOUNDED_PAGE_WIDTH`
`2147483647`

org.bukkit.util.noise.SimplexNoiseGenerator
Modifier and Type
Constant Field
Value
`protected static final double`
`F3`
`0.3333333333333333`
`protected static final double`
`G3`
`0.16666666666666666`